Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
farzad babamiri
@babamiri
image.png
Hi all
Duplicate message in flectra 1.6
farzad babamiri
@babamiri
There are all messages had been duplicated here? Do you know why? Does any one know why?
develroo
@develroo
What are the benefits to upgrading to 1.6 btw? Will all the addons still just work ?
Renzo Meister
@rm-jawengo
@babamiri There is already an issue for duplicate messages:
flectra-hq/flectra#176
@develroo In 1.6 keyboard shortcuts are comming and also a big bug with translations is fixed. I have upgraded all six flectra instances of our customers without any problem
farzad babamiri
@babamiri
@rm-jawengo thanks
develroo
@develroo
Hmm ok.. well I am in no urgent rush to upgrade myself but I am just curious how much backward compatibility there will be with regards to addons
Renzo Meister
@rm-jawengo
@develroo upgrading in the line of 1.x is no problem. So all modules can be used in all 1.x releases without any compatibility problems....
develroo
@develroo
Ok .. good to know.. Now to an annoyance.. and I am not sure if it is Flectra's fault or various suppliers.. bottom line is tax seems to be 1 penny out sometimes. when calculated versus a suppliers bill. Is the supplier wrong or am I?
So for example.. PO costs is 30.81 with a tax @20% (0.20) which correctly calculates to 6.16(2) but my supplier calculated is to 6.15? For now I am just inserting manual 1p credits into my bank statements but obviously this is a pain in the A.
Renzo Meister
@rm-jawengo
@develroo This depends on rounding method (per line or global) and can result in some differences. In Switzerland (where we have rounded on 0.05) differences like this are usually.
Here you will have differences in both way because of not knowing the rounding method of your supplier
develroo
@develroo
Yeah.. well it is Amazon today.. :P They were ok the last order some reason it just varies for them.. not that I complaining paying a penny less. but still a headache for the paperwork .
Renzo Meister
@rm-jawengo
yes this really is a headache...
Thomas Winteler
@thomich_gitlab

Announcement

Hello @/all
To avoid module conflicts we will remove following modules in 2 weeks from our official extra-addons repository (https://gitlab.com/flectra-hq/extra-addons), cause they are now available in flectra community repository (https://gitlab.com/flectra-community)
account_bank_statement_import_camt_oca
account_bank_statement_import_mt940_base
account_bank_statement_import_qif
base_technical_features
currency_rate_update
Eugenio Abello
@eugenio.abello_gitlab
How send parameter boolean in the api rest, for .create a contact..I had intented ,
http://localhost:7073/api/res.partner?name=XXXX&country_id=46&is_company=false
or
&is_company=False,
&is_company=FALSE,
&is_company=0,
but always crate as company
Eugenio Abello
@eugenio.abello_gitlab
Is with version 1.5
Thomas Winteler
@thomich_gitlab
@eugenio.abello_gitlab please check our rest api doc's at: https://userdoc.flectrahq.com/rest_api/rest_api.html
Eugenio Abello
@eugenio.abello_gitlab
I used this link, for create etl on pentaho pdi, work all ok, I have only problem whitk parameters booleans
Anton Goroshkin
@neobht
Is the way to use “user.” in domain in act_window to filter record by click on menu?
johnrisby
@johnrisby
Hi all. simple question (maybe obvious, apologies if it is). Just found Flectra after checking where Odoo was up to these days. I went off Odoo after their move to push more and more to the enterprise version. I read on Quora there wasn't an Enterprise version of Flectra? But then I see pricing. Is the pricing online for hosted versions and the download is fully functional, or is there now a paid-for version like Odoo? Thanks
Parthiv Patel
@parthivgls
@johnrisby the pricing is for hosted version as there is no enterprise version for Flectra
johnrisby
@johnrisby
Thanks @parthivgls
johnrisby
@johnrisby
Is there a problem with the forum? When I try to sign up it says 'We cannot detect if your account was created, please ensure you have cookies enabled.' and no account is created (no email received, and I can register again with the same details.
Alfredo Bravo Cuero
@abracu
Hello, Good morning, I just found this platform and I would like to know how I can implement it on my Ubuntu server
Parthiv Patel
@parthivgls
You can install flectra on your own server using this script.
Angel Guadarrama
@fr33co
Hello Alfredo. You can implement using Docker.
develroo
@develroo
OK so just a question for devs I think.. UK's new Making Tax Digital means all transactions will have to be done electronically and they are planning on having access to the entire accounting record to look for mistakes. This means for Flectra being able to export an auditable report that lists all transactions and amendments in an easy to read form. It that possible with Flectra ?
Nathan Ogden
@Coolfeather2
Hi, Having issues with repository signature?
The following signatures were invalid: BADSIG EF00F70672017BFB FlectraHQ flectra@flectrahq.com
The repository 'https://download.flectrahq.com/1.0/pub/deb ./ Release' is not signed
Anthony Jo
@arsisra_gitlab
Hi, Parthiv. Is any your custom addon module like stock inventory report which reporting beginning, received, transfer, adjust, recent stock in range date? I would like to buy in Flectra.
Anthony Jo
@arsisra_gitlab
WhatsApp Image 2019-06-15 at 7.28.51 AM.jpeg
I got this error when entry data in Inventory > Delivery Order :
"uncaught typeerror: cannot read property 'data' of null"
Any advised?
Marker.bz
@collex100
Screenshot_3.jpg
Question. If there is a quick response. How does a report access data within an application? Is there a way to connect to the data in this list? Thanks.
CHEONG JUSTIN
@justincheong001_gitlab
Dear All, I would like to add the contact sequence number, how can I do it? thanks!
@/all
Edison Ibañez
@arkhan
@/all Greetings, because when you install the account_invoicing module, account_discount is automatically installed
Anthony Jo
@arsisra_gitlab
@justincheong001_gitlab there is community module
base partner sequence
Florian Keil
@criseas_gitlab
Hello, does anyone know when #187 and #197 get fixed? workarround for #187 works but #197 ...
Delor3an
@Delor3an
Hi all, got a problem when trying a base update (WebUI & CLi give the same error)

Error:
Flectra Server Error

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/flectra/service/model.py", line 97, in wrapper
return f(dbname, args, **kwargs)
File "/usr/lib/python3/dist-packages/flectra/http.py", line 337, in checked_call
result = self.endpoint(
a, kw)
File "/usr/lib/python3/dist-packages/flectra/http.py", line 939, in call
return self.method(*args,
kw)
File "/usr/lib/python3/dist-packages/flectra/http.py", line 517, in response_wrap
response = f(args, **kw)
File "/usr/lib/python3/dist-packages/flectra/addons/web/controllers/main.py", line 1094, in call_button
action = self._call_kw(model, method, args, {})
File "/usr/lib/python3/dist-packages/flectra/addons/web/controllers/main.py", line 1082, in _call_kw
return call_kw(request.env[model], method, args, kwargs)
File "/usr/lib/python3/dist-packages/flectra/api.py", line 689, in call_kw
return call_kw_multi(method, model, args, kwargs)
File "/usr/lib/python3/dist-packages/flectra/api.py", line 680, in call_kw_multi
result = method(recs,
args, kwargs)
File "<decorator-gen-48>", line 2, in button_immediate_upgrade
File "/usr/lib/python3/dist-packages/flectra/addons/base/module/module.py", line 74, in check_and_log
return method(self, *args,
kwargs)
File "/usr/lib/python3/dist-packages/flectra/addons/base/module/module.py", line 638, in button_immediate_upgrade
return self._button_immediate_function(type(self).button_upgrade)
File "/usr/lib/python3/dist-packages/flectra/addons/base/module/module.py", line 570, in _button_immediate_function
modules.registry.Registry.new(self._cr.dbname, update_module=True)
File "/usr/lib/python3/dist-packages/flectra/modules/registry.py", line 85, in new
flectra.modules.load_modules(registry._db, force_demo, status, update_module)
File "/usr/lib/python3/dist-packages/flectra/modules/loading.py", line 321, in load_modules
report=report, models_to_check=models_to_check)
File "/usr/lib/python3/dist-packages/flectra/modules/loading.py", line 153, in load_module_graph
registry.init_models(cr, model_names, {'module': package.name})
File "/usr/lib/python3/dist-packages/flectra/modules/registry.py", line 306, in init_models
model._auto_init()
File "/usr/lib/python3/dist-packages/flectra/addons/base/ir/ir_model.py", line 1299, in _auto_init
self._table, ['module', 'name'])
File "/usr/lib/python3/dist-packages/flectra/tools/sql.py", line 197, in create_unique_index
cr.execute('CREATE UNIQUE INDEX "{}" ON "{}" ({})'.format(indexname, tablename, args))
File "/usr/lib/python3/dist-packages/flectra/sql_db.py", line 156, in wrapper
return f(self, args, *kwargs)
File "/usr/lib/python3/dist-packages/flectra/sql_db.py", line 233, in execute
res = self._obj.execute(query, params)
psycopg2.IntegrityError: ERREUR: n'a pas pu créer l'index unique « ir_model_data_module_name_uniq_index »
DÉTAIL : La clé (module, name)=(base, report_ir_model_overview) est dupliquée.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/flectra/http.py", line 653, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "/usr/lib/python3/dist-packages/flectra/http.py", line 312, in _handle_exception
raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
File "/usr/lib/python3/dist-packages/flectra/tools/pycompat.py", line 87, in reraise
raise value
File "/usr/lib/python3/dist-packages/flectra/http.py", line 695, in dispatch
result = self._call_function(self.params)
File "/usr/lib/python3/dist-packages/flectra/http.py", line 344, in _call_function
return checked_call(self.db, *args,
kwargs)
File "/usr/lib/python3/dist-packages/flectra/service/model.py", line 141, in wrapper
raise ValidationError(inst[0])
TypeError: 'IntegrityError' object is not subscriptable

Parthiv Patel
@parthivgls
@Delor3an please report the issue on https://gitlab.com/flectra-hq/flectra/issues
Delor3an
@Delor3an
@parthivgls Problem solved. I had close flectra just after restoring DB that had corrupted it
But. with a good restore, I have another problem and get this message. Do I need to open a ticket for it ?
<string>:2: (WARNING/2) Inline strong start-string without end-string.
2019-08-08 05:22:01,283 5095 WARNING Database_Name flectra.addons.base.module.module: docutils' system message present: <system_message backrefs="id2" ids="id1" level="2" line="2" source="<string>" type="WARNING"><paragraph>Inline strong start-string without end-string.</paragraph></system_message>
farzad babamiri
@babamiri

Hello
I want to create a user with the following code
The code runs without error and I get the user code
But when I login I got this message “the password is incorrect”
Can anyone help me or tell me what’s wrong with my code?

import xmlrpclib
url = "http://localhost:7073"
db = "db1"
username = 'admin'
password = 'admin'
common = xmlrpclib.ServerProxy('{}/xmlrpc/2/common'.format(url))
uid = common.authenticate(db, username, password, {})
models = xmlrpclib.ServerProxy('{}/xmlrpc/2/object'.format(url))
user_id = models.execute_kw(db, uid, password, 'res.users', 'create', [{'name':"test", 'login':'test@gmail','company_ids':[1],'company_id':1, 'new_password':'welcome1'}])
print user_id